<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui">

<h:head>
<title>Abonnements</title>
</h:head>
<body>
	

	<h3>Abonnements</h3>
	<h:link outcome="CreateAbonnement" value="Abonnez vous !!"/>
	<h:form>
		<h:dataTable var="p" value="#{abonnementBean.abonnements}" border="1" >
			
			<h:column>
				<f:facet name="header">
					<h:outputText value="ID Abonnement"/>
				</f:facet>
				<h:outputText value="#{p.idAbonnement}"/>
			</h:column>

			<h:column>
				<f:facet name="header">
					<h:outputText value="Date Debut "/>
				</f:facet>
				<h:outputText value="#{p.dateDeb}"/>
			</h:column>

			<h:column>
				<f:facet name="header">
					<h:outputText value="Date  Fin "/>
				</f:facet>
				<h:outputText value="#{p.dateFin}"/>
			</h:column>

			<h:column>
				<f:facet name="header">
					<h:outputText value="Statut"/>
				</f:facet>
				<h:outputText value="#{p.state}"/>
			</h:column>

			<h:column>
				<f:facet name="header">
					<h:outputText value="Image"/>
				</f:facet>
				<h:outputText value="#{p.image}"/>
			</h:column>
			
			<h:column>
				<f:facet name="header">
					<h:outputText value="Type"/>
				</f:facet>
				<h:outputText value="#{p.type}"/>
			</h:column>
			
			<h:column>
				<f:facet name="header">
					<h:outputText value="User ID"/>
				</f:facet>
				<h:outputText value="#{p.idUser}"/>
			</h:column>		
			<h:column>
				<f:facet name="header">
					<h:outputText value="Action" />
				</f:facet>
				
				<h:commandButton action="#{abonnementBean.getAbonnementByID(p)}" value="Details" />
				<h:commandButton action="#{abonnementBean.modAbonnement(p)}" value="Edit" />	
				<h:commandButton action="#{abonnementBean.confirmAbonnement(p)}" value="Confirmer" />
				<h:commandButton action="#{abonnementBean.delAbonnement(p)}" value="Delete" />	
				
			</h:column>	
						
		</h:dataTable>
	</h:form>
	
</body>

</html>